# Uses of Class
org.eclipse.swt.widgets.Caret

Packages that use Caret
Package
Description
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of Caret in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type Caret
Modifier and Type
Method
Description
`void`
StyledText.`setCaret(Caret caret)`
Sets the receiver's caret.

## Uses of Caret in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Caret
Modifier and Type
Method
Description
`Caret`
Canvas.`getCaret()`
Returns the caret.
Methods in org.eclipse.swt.widgets with parameters of type Caret
Modifier and Type
Method
Description
`void`
Canvas.`setCaret(Caret caret)`
Sets the receiver's caret.